import request from '@/utils/request'

export function listRuleType(data) {
  return request({
    url: '/data/quality/ruleTypes/report/list',
    method: 'get',
    params: data
  })
}

export function pageCheckReport(data) {
  return request({
    url: '/data/quality/checkReports/page',
    method: 'get',
    params: data
  })
}

export function getReportBySource() {
  return request({
    url: '/data/quality/checkReports/getReportBySource',
    method: 'get'
  })
}

export function getReportByType() {
  return request({
    url: '/data/quality/checkReports/getReportByType',
    method: 'get'
  })
}
